"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../../index");
const task_1 = require("./task");
exports.TaskCreatorRelation = index_1.relation
    .from(() => exports.User)
    .to(() => task_1.Task)
    .via("creator");
exports.User = new index_1.Model("User");
let UserInstance = class UserInstance extends index_1.ModelInstance {
};
__decorate([
    index_1.hasMany(() => task_1.Task, () => exports.TaskCreatorRelation)
], UserInstance.prototype, "createdTasks", void 0);
__decorate([
    index_1.hasMany(() => task_1.Task, () => task_1.TaskAssigneeRelation)
], UserInstance.prototype, "tasks", void 0);
UserInstance = __decorate([
    index_1.model(exports.User)
], UserInstance);
exports.UserInstance = UserInstance;
