import { Neo4jResultStats } from "./Types";
export declare type Neo4jsOptions = {
    boltUri?: string;
    boltPort?: number;
    restUri?: string;
    restPort?: number;
    username?: string;
    password?: string;
};
export * from "./Types";
export declare class neo4js {
    options: Neo4jsOptions;
    driver: any;
    init(options: Neo4jsOptions): void;
    close: () => void;
    run: (cmd: string, params?: any) => Promise<any[] & {
        _stats: Neo4jResultStats;
        _raw: any;
    }>;
}
declare const _default: neo4js;
export default _default;
export * from "./Model";
export * from "./ModelInstance";
export * from "./Relation";
export * from "./Decorators";
