import { ModelInstance } from "./index";
import { RelationType } from "./Relation";
import { Neo4jResultStats } from "./Types";
export declare function get(instance: ModelInstance<any>, label: string, relationType: RelationType, props: any, relationProps?: any): Promise<any>;
export declare function remove(instance: ModelInstance<any>, label: string, relationType: RelationType, props: any, relationProps?: any): Promise<Neo4jResultStats>;
export declare function create(instance: ModelInstance<any>, label: string, relationType: RelationType, propsArray: any[], relationProps?: any): Promise<any>;
export declare function add(instance: ModelInstance<any>, label: string, relationType: RelationType, instances: ModelInstance<any>[], relationProps?: any): Promise<number>;
export declare function count(instance: ModelInstance<any>, label: string, relationType: RelationType, props: any, relationProps?: any): Promise<number>;
export declare function update(instance: ModelInstance<any>, label: string, relationType: RelationType, props: any, whereProps: any, relationProps?: any, whereRelationProps?: any): Promise<any>;
