import { Model, ModelInstance, StringProperty, HasOneActions } from "../../index";
import { UserProps, UserInstance } from "./user";
export declare type TaskProps = {
    title: StringProperty;
    done?: boolean;
};
export declare const TaskAssigneeRelation: {
    from: Model<any, any> | (() => Model<any, any>);
    to: Model<any, any> | (() => Model<any, any>);
    via: string;
};
export declare const Task: Model<TaskProps, TaskInstance>;
export declare class TaskInstance extends ModelInstance<TaskProps> {
    creator: HasOneActions<UserProps, UserInstance>;
    assignee: HasOneActions<UserProps, UserInstance>;
}
