"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../../index");
const user_1 = require("./user");
exports.TaskAssigneeRelation = index_1.relation
    .from(() => exports.Task)
    .to(() => user_1.User)
    .via("assigned");
exports.Task = new index_1.Model("Task");
let TaskInstance = class TaskInstance extends index_1.ModelInstance {
};
__decorate([
    index_1.hasOne(() => user_1.User, () => user_1.TaskCreatorRelation)
], TaskInstance.prototype, "creator", void 0);
__decorate([
    index_1.hasOne(() => user_1.User, () => exports.TaskAssigneeRelation)
], TaskInstance.prototype, "assignee", void 0);
TaskInstance = __decorate([
    index_1.model(exports.Task)
], TaskInstance);
exports.TaskInstance = TaskInstance;
