import { Model, ModelInstance, StringProperty, HasManyActions } from "../../index";
import { TaskProps, TaskInstance } from "./task";
export declare type UserProps = {
    firstname: StringProperty;
    lastname?: StringProperty;
};
export declare const TaskCreatorRelation: {
    from: Model<any, any> | (() => Model<any, any>);
    to: Model<any, any> | (() => Model<any, any>);
    via: string;
};
export declare const User: Model<UserProps, UserInstance>;
export declare class UserInstance extends ModelInstance<UserProps> {
    createdTasks: HasManyActions<TaskProps, TaskInstance>;
    tasks: HasManyActions<TaskProps, TaskInstance>;
}
